#
# spec file for package perl-Alien-Hunspell
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Alien-Hunspell
Name:           perl-Alien-Hunspell
Version:        0.17
Release:        1.11
Summary:        Install hunspell
License:        Artistic-1.0 OR GPL-1.0-or-later
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/P/PL/PLICEASE/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
# MANUAL
#BuildArch:     noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Alien::Base) >= 0.038
BuildRequires:  perl(Alien::Build) >= 0.51
BuildRequires:  perl(Alien::Build::MM) >= 0.40
BuildRequires:  perl(Alien::Build::Plugin::Build::Autoconf) >= 0.41
BuildRequires:  perl(Alien::Build::Plugin::Probe::Vcpkg) >= 2.16
BuildRequires:  perl(ExtUtils::CppGuess)
BuildRequires:  perl(Path::Tiny)
BuildRequires:  perl(Test2::Require) >= 0.000060
BuildRequires:  perl(Test2::V0) >= 0.000060
BuildRequires:  perl(Test::Alien::CPP)
Requires:       perl(Alien::Base) >= 0.038
%{perl_requires}
# MANUAL BEGIN
BuildRequires:  perl(PkgConfig)
BuildRequires:  pkgconfig(hunspell)
Requires:       pkgconfig(hunspell)
# MANUAL END

%description
This module provides the spelling library Hunspell. It will either detect
it as provided by the operating system, or download the source from the
Internet and install it for you. It uses Alien::Base.

%prep
%autosetup  -n %{cpan_name}-%{version}
find . -type f ! -path "*/t/*" ! -name "*.pl" ! -path "*/bin/*" ! -path "*/script/*" ! -name "configure" -print0 | xargs -0 chmod 644

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc alienfile author.yml Changes README
%license LICENSE

%changelog
* Mon Mar 15 2021 Tina Müller <timueller+perl@suse.de>
- updated to 0.17
  see /usr/share/doc/packages/perl-Alien-Hunspell/Changes
  0.17      2021-03-14 11:02:53 -0600
  - Remove dependency on Alien::Autotools
* Thu Oct 22 2020 Dirk Stoecker <opensuse@dstoecker.de>
- updated to 0.16
  see /usr/share/doc/packages/perl-Alien-Hunspell/Changes
  0.16      2020-03-16 12:37:15 -0600
  - Add support for Visual C++ Perl + vcpkg (gh#9)
  0.15      2020-02-18 10:57:19 -0500
  - Blacklist 1.7.0 on Windows only, where it seems to be broken (gh#8)
  0.14_01   2020-02-17 18:22:35 -0500
  - Diagnostic release
  0.12_02   2017-08-23 07:15:07 -0400
  - Diagnostic release
  0.12_01   2017-07-30 07:25:56 -0400
  - Development release identical to 0.11 release
* Sun Oct  7 2018 Dirk Stoecker <opensuse@dstoecker.de>
- Fix automatic changes
* Wed Feb  7 2018 coolo@suse.com
- updated to 0.11
  see /usr/share/doc/packages/perl-Alien-Hunspell/Changes
  0.11      2017-07-30 07:16:30 -0400
  - use Alien::Autotools in share build
  - Only run xs test on development releases
    (Test::Alien support for C++ seems to need some work)
  0.10      2017-07-07 03:22:40 -0400
  0.09_02   2017-06-27 15:14:41 -0400
  - Enable disabled test t/xs.t
  0.09_01   2017-06-27 15:10:56 -0400
  - migrate to Alien::Build
  - build from latest production source when building from source
  - numerous build fixes for OS X, FreeBSD, Strawberry
* Tue Feb 14 2017 coolo@suse.com
- updated to 0.08
  see /usr/share/doc/packages/perl-Alien-Hunspell/Changes
* Mon Feb 13 2017 coolo@suse.com
- updated to 0.08
  see /usr/share/doc/packages/perl-Alien-Hunspell/Changes
  0.08      2017-02-12 16:13:14 -0500
  - Upgrade hunspell to 1.3.4
  - Switch from sourceforge to github as the source
  - Require Alien::Base 0.32 for better SSL workage
* Fri Mar 11 2016 coolo@suse.com
- initial package 0.07
  * created by cpanspec 1.78.08
